ListPentestJobTasks - AWS Security Agent

ListPentestJobTasks

Returns a paginated list of task summaries for the specified pentest job, optionally filtered by step name or category.

Request Syntax

POST /ListPentestJobTasks HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "categoryName": "string", "maxResults": number, "nextToken": "string", "pentestJobId": "string", "stepName": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

categoryName

Filter tasks by category name.

Type: String

Required: No

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

pentestJobId

The unique identifier of the pentest job to list tasks for.

Type: String

Required: No

stepName

Filter tasks by step name. Valid values include PREFLIGHT, STATIC_ANALYSIS, PENTEST, and FINALIZING.

Type: String

Valid Values: PREFLIGHT | STATIC_ANALYSIS | PENTEST | FINALIZING

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "taskSummaries": [ { "agentSpaceId": "string", "createdAt": "string", "executionStatus": "string", "pentestId": "string", "pentestJobId": "string", "riskType": "string", "taskId": "string", "title": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

taskSummaries

The list of task summaries.

Type: Array of TaskSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: